#ifndef GY85_H_
#define GY85_H_	1

/* Accelerometer */
#define ADXL345		0x53	/* Device address - ADXL345 accelerometer */

/**
 * Initialize accelerometer.
 */
void GY85_init_acc(void);

/**
 * Read X, Y, Z axis acceleration data.
 *
 * @param data_x - X-axis acceleration
 * @param data_y - Y-axis acceleration
 * @param data_z - Z-axis acceleration
 */
void GY85_read_acc(float *data_x, float *data_y, float *data_z);

/* Compass */
#define HMC5883 	0x1E	/* Device address - HMC5883 compass */

/**
 * Initialize compass.
 */
void GY85_init_comp(void);

/**
 * Read X, Y, Z axis compass data.
 *
 * @param data_x - X-axis compass data
 * @param data_y - Y-axis compass data
 * @param data_z - Z-axis compass data
 */
void GY85_read_comp(float *data_x, float *data_y, float *data_z);

/* Gyroscope */
#define ITG3200		0x68	/* Device address - ITG3200 gyroscope */

/**
 * Initialize gyroscope.
 */
void GY85_init_gyro(void);

/**
 * Read X, Y, Z axis compass data.
 *
 * @param data_x - X-axis gyroscope data
 * @param data_y - Y-axis gyroscope data
 * @param data_z - Z-axis gyroscope data
 * @param t - temperature
 */
void GY85_read_gyro(float *data_x, float *data_y, float *data_z, float *t);

#endif	/* GY85_H_ */